// Задача "Окопы"
// 9-ая Интернет-олимпиада сезона 2006-2007, базовый уровень
// Автор задачи: Александр Торопов, toropov@rain.ifmo.ru
// Автор решения: Федор Царев, tsarev@rain.ifmo.ru

import java.io.*;
import java.util.*;
import java.math.*;

public class trenches_ft implements Runnable {

	private Scanner in;
	private PrintWriter out;
	String fname = "trenches";

	private final BigInteger FOUR = BigInteger.valueOf(4);
	private final BigInteger TWENTY = BigInteger.valueOf(20);

	private void myAssert(boolean e, String message) {
		if (!e) {
			throw new Error("Assertion failure!!! " + message);
		}
	}

	void checkCoord(int x, int y) {
		myAssert(Math.abs(x) <= 10000, "|x| must be <= 10000");
		myAssert(Math.abs(y) <= 10000, "|y| must be <= 10000");
	}

	public void solve() {
		Random rand = new Random();
		while (true) {
			int x11 = in.nextInt();
			int y11 = in.nextInt();
			checkCoord(x11, y11);
			int x12 = in.nextInt();
			int y12 = in.nextInt();
			checkCoord(x12, y12);
			int x21 = in.nextInt();
			int y21 = in.nextInt();
			checkCoord(x21, y21);
			int x22 = in.nextInt();
			int y22 = in.nextInt();
			checkCoord(x22, y22);
			if (x11 == 0 && y11 == 0 && x12 == 0 && y12 == 0) {
				if (x21 == 0 && y21 == 0 && x22 == 0 && y22 == 0) {
					break;				
				}
			}
			while (true) {
				int a = 200000 - rand.nextInt(200001);
				int b = 200000 - rand.nextInt(200001);
				int c1 = Math.max(-a * x11 - b * y11, -a * x12 - b * y12);
				int c2 = Math.min(-a * x21 - b * y21, -a * x22 - b * y22);

				if (c2 > c1 + 1) {
					out.println(a + " " + b + " " + (c1 + 1));
					break;
				}
			}
		}
	}

	public void run() {
		try {
			solve();
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(1);
		} finally {
			out.close();
		}		
	}

	public trenches_ft() {
		try {
			in = new Scanner(new File(fname + ".in"));
			out = new PrintWriter(new File(fname + ".out"));
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(1);
		}
	}


	public static void main(String[] args) {
		new Thread(new trenches_ft()).start();
	}

}